Opened 3 years ago

Last modified 3 years ago

#1767 open defect

Add mockito dependency docs

Reported by: zzz Owned by: str4d
Priority: minor Milestone: 0.9.27
Component: api/utils Version: 0.9.24
Keywords: Cc:
Parent Tickets:

Description

The mockito/bytebuddy/objenesis dependencies added in 0.9.24 are not fully documented and are possibly fragile. Apparently, only certain version work, or unreleased versions may be required, or you have to get the jars from someplace. The unit test build targets are therefore either broken or we have imposed a great burden on those who wish to run them. This needs to be researched, and definitive requirements must be documented in build.properties and possibly elsewhere, e.g. on our website.

somewhat related: #1651 #1663

Subtickets (add)

#1651: scala tests will break with java 8 (oracle)defectassignedstr4d

Change History (3)

comment:1 Changed 3 years ago by str4d

  • Status changed from new to open

comment:2 Changed 3 years ago by zzz

Add a subticket #1651.

comment:3 Changed 3 years ago by zzz

  • Milestone changed from 0.9.25 to 0.9.27
Note: See TracTickets for help on using tickets.